"use strict";
/* eslint-disable filename-rules/match */
Object.defineProperty(exports, "__esModule", { value: true });
exports.getNullSelection = exports.SearchState = exports.State = exports.Overflow = exports.TruncationLocation = exports.ComboboxSize = exports.ComboboxElement = void 0;
/**
 * Prop Enums & Types
 */
exports.ComboboxElement = {
    Input: 'Input',
    ClearButton: 'ClearButton',
    FirstChip: 'FirstChip',
    LastChip: 'LastChip',
    MiddleChip: 'MiddleChip',
    Combobox: 'Combobox',
    Menu: 'Menu',
};
/**
 * Prop types
 */
exports.ComboboxSize = {
    // TODO: add XSmall & Small variants after the refresh
    // XSmall: 'xsmall',
    // Small: 'small',
    Default: 'default',
    Large: 'large',
};
exports.TruncationLocation = {
    start: 'start',
    middle: 'middle',
    end: 'end',
    none: 'none',
};
exports.Overflow = {
    /**
     * Combobox will be set to a fixed width, and will expand its height based on the number of Chips selected
     */
    expandY: 'expand-y',
    /**
     * Combobox will be set to a fixed height and width (default 100% of container). Chips will be scrollable left-right
     */
    scrollX: 'scroll-x',
    /**
     * @deprecated
     */
    expandX: 'expand-x',
};
exports.State = {
    error: 'error',
    none: 'none',
};
exports.SearchState = {
    unset: 'unset',
    error: 'error',
    loading: 'loading',
};
// Returns the correct empty state for multiselcect / single select
function getNullSelection(multiselect) {
    if (multiselect) {
        return [];
    }
    else {
        return null;
    }
}
exports.getNullSelection = getNullSelection;
//# sourceMappingURL=Combobox.types.js.map